import type { Post } from '$lib/mastodon/response';
import type { PageLoad } from './$types';

export const load = (async ({ fetch, setHeaders, url }) => {
  let count = 5;
  const countParam = url.searchParams.get('count');
  if (countParam) {
    const parsed = parseInt(countParam);
    if (!isNaN(parsed)) {
      count = parsed;
    }
  }
  const p = await fetch('/api/posts?count=' + count);
  setHeaders({
    'cache-control': 'public,max-age=300'
  });
  const j: Post[] = await p.json();
  return {
    posts: j
  };
}) satisfies PageLoad;
