import { getPosts } from '$lib/server/db';
import { json } from '@sveltejs/kit';
import { Logger } from '$lib/log';

import type { RequestHandler } from './$types';

const logger = new Logger('+server.ts API');

export const GET = (async ({ url, setHeaders }) => {
  setHeaders({
    'cache-control': 'max-age=10'
  });
  const since = url.searchParams.get('since');
  const before = url.searchParams.get('before');
  let count = Number.parseInt(url.searchParams.get('count') || '');
  if (isNaN(count)) {
    count = 10;
  }
  count = Math.min(count, 100);
  const start = performance.now();
  const posts = await getPosts(since, before, count);
  logger.debug('DB took', performance.now() - start, 'ms');
  return json(posts);
}) satisfies RequestHandler;
